## grabix 0.1.7

=== Makefile ===
all:
	gcc -Wall -O2 -o grabix grabix_main.cpp grabix.cpp bgzf.c -lstdc++ -lz

## grabix 0.1.6+git20171023

=== debian/changelog ===
grabix (0.1.6+git20171023-1) unstable; urgency=low

  [ Steffen Moeller ]
  * Initial release (Closes: #897037).

  [ Andreas Tille ]
  * debhelper 10
  * Moved packaging from SVN to Git

 -- Steffen Moeller <moeller@debian.org>  Thu, 18 Jul 2013 14:45:55 +0200

=== debian/control ===
Source: grabix
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               zlib1g-dev
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/grabix.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/grabix.git
Homepage: https://github.com/arq5x/grabix

Package: grabix
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: wee tool for random access into BGZF files
 In biomedical research it is increasing practice to study
 the genetic basis of disease. This now frequently comprises
 the sequencing of human sequences. The output of the machine
 however is redundant, and the real sequence is the best
 sequence to explain the redundancy. The exchange of data
 happens only with compressed files - to huge and redundant 
 to perform otherwise. One should avoid uncompression whenever
 possible.
 .
 grabix leverages the fantastic BGZF library of the samtools
 package to provide random access into text files that have
 been compressed with bgzip. grabix creates it's own index
 (.gbi) of the bgzipped file. Once indexed, one can extract
 arbitrary lines from the file with the grab command. Or
 choose random lines with the, well, random command.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

=== debian/watch ===
version=4

# Release tag 1.4 is older as 0.1.5 and 0.1.6 -> so this is probably
# tagged wrongly which is fixed here
opts="uversionmangle=s/1\.4/0.1.4/" \
  https://github.com/arq5x/grabix/releases .*/archive/@ANY_VERSION@@ARCHIVE_EXT@

## grabix 0.1.7

=== debian/changelog ===
grabix (0.1.7-5) unstable; urgency=medium

  * Team upload
  * Cleanup after testing
    Closes: #1045023
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 18 Dec 2024 17:05:45 +0100

grabix (0.1.7-4) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 18 Nov 2022 12:39:10 +0100

grabix (0.1.7-3) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 12 Oct 2021 09:37:29 +0200

grabix (0.1.7-2) unstable; urgency=medium

  * Team upload.
  * Use 2to3 to port to Python3
    Closes: #936648
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Wed, 11 Sep 2019 09:09:40 +0200

grabix (0.1.7-1) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/control
  * Remove trailing whitespace in debian/copyright
  * Remove trailing whitespace in debian/rules

 -- Andreas Tille <tille@debian.org>  Sun, 28 Oct 2018 17:01:35 +0100

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,30 @@
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               zlib1g-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/grabix.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/grabix.git
+Build-Depends: debhelper-compat (= 13),
+               zlib1g-dev,
+               python3,
+               tabix,
+               time,
+               less
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/med-team/grabix
+Vcs-Git: https://salsa.debian.org/med-team/grabix.git
 Homepage: https://github.com/arq5x/grabix
+Rules-Requires-Root: no
 
 Package: grabix
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         tabix
 Description: wee tool for random access into BGZF files
  In biomedical research it is increasing practice to study
  the genetic basis of disease. This now frequently comprises
  the sequencing of human sequences. The output of the machine
  however is redundant, and the real sequence is the best
  sequence to explain the redundancy. The exchange of data
- happens only with compressed files - to huge and redundant 
+ happens only with compressed files - to huge and redundant
  to perform otherwise. One should avoid uncompression whenever
  possible.
  .

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,10 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ 
+	dh $@
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	PATH=$(CURDIR):$(PATH) sh debian/testdata/test.sh
+	rm -f test.cnt.gz test.cnt.gz.gbi
+endif

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, tabix, time, less
Restrictions: allow-stderr
